Bug 497035 - Review Request: creox - Real-time Sound Processor
Review Request: creox - Real-time Sound Processor
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christian Krause
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-22 00:43 EDT by Orcan Ogetbil
Modified: 2009-05-20 20:01 EDT (History)
3 users (show)

See Also:
Fixed In Version: 0.2.2-0.2.rc2.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-20 19:54:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
chkr: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Orcan Ogetbil 2009-04-22 00:43:00 EDT
Spec URL: http://oget.fedorapeople.org/review/creox.spec
SRPM URL: http://oget.fedorapeople.org/review/creox-0.2.2-0.1.rc2.fc10.src.rpm
Description: 
Creox is a real-time sound processor. You can plug your electric guitar or any
other musical instrument directly to the PC's sound card and start
experimenting with various sound effects. Creox has a nice user-friendly GUI, a
preset support, a low-latency DSP engine and each effect parameter can be
altered "on the fly".

As the creox is a JACK application, the output sound can be routed to the other
JACK-aware applications and the input audio can be taken as the output
from the other JACK client.

Rpmlint:
creox.x86_64: W: dangling-symlink /usr/share/doc/HTML/en/creox/common /usr/share/doc/HTML/en/common

This is a typical KDE application rpmlint and this link is satisfied through the dependency chain.
Comment 1 Orcan Ogetbil 2009-04-22 00:43:41 EDT
Koji build (dist-f12):
http://koji.fedoraproject.org/koji/taskinfo?taskID=1313893
Comment 2 Christian Krause 2009-05-05 18:06:27 EDT
Hi Orcan,

please apologize the delay of the review. Here it is:

* rpmlint:  OK
rpmlint SPECS/creox.spec SRPMS/creox-0.2.2-0.1.rc2.fc10.src.rpm RPMS/i386/creox-*
creox.i386: W: dangling-symlink /usr/share/doc/HTML/en/creox/common /usr/share/doc/HTML/en/common
3 packages and 1 specfiles checked; 0 errors, 1 warnings.

- as Orcan said, this is a false warning, the target of the symlink is provided by kdelibs-common which is required by kdelibs3 which are required via library dependencies by creox (and so the installed package will not have dangling symlinks)

* naming: OK
- name matches upstream
- spec file name matches package name
- non-numeric release handled according:
http://fedoraproject.org/wiki/Packaging/NamingGuidelines#NonNumericRelease

* License: OK
- GPLv2 acceptable
- GPLv2 (as published) referenced in source files as well as in the COPYING file
- COPYING file packaged

* specfile in American English and legible: OK

* Sources: OK
- Source0 URL ok
- spectool -g creox.spec works
- sources matches upstream - md5sum: 11d87ad6d47274fdf3f3236f5e09d6fd

* Patch0: TODO
- it is recommended to send the patches upstream and add a short comment
in the spec file about the status of the bug report

* Compilation: TODO
- mock build works
- package builds correctly in koji for F12, F11 and F10
- auto* tools adds additionally "-O2" (via acinclude.m4) - this is not a problem right now, but probably if Fedora changes once its default optimization flags then the package would be compiled with "-O2 -O3" or something like this (I don't consider this as a big issue, but if it could be solved easily, then it should be fixed IMHO)

* debuginfo sub-package: OK
- non-empty
- debuginfo file works together with gdb

* BuildRequires: OK

* Locales handling: OK
- %find_lang used
- gettext in BuildRequires

* shared/static libs, pkgconfig/header/*.la files: OK (n/a)

* packages must own all directories: TODO
- in general OK
- just a very minor suggestion: %{_datadir}/apps/%{name} should better be %{_datadir}/apps/%{name}/ (just to indicate that really a directory and not a file gets packaged)

* files not listed twice: OK
* permissions of files: OK
- %defattr used
- final file permissions OK

* %clean section: OK

* macro usage: OK

* code vs. content: OK (only code)

* large documentation into subpackage: OK (n/a)

* GUI application needs %{name}.desktop: OK
- custom desktop file added
- package appears correctly in (gnome) menu
- icon tag OK

* no directories owned which are already owned by other packages: OK

* rm -rf %{buildroot} at the beginning of %{install}: OK

* all filenames UTF8: OK

* functional test: TODO
- program starts and can be used
- however, when I press "play", I get an message box "Error:" (the sound settings are not touched, all channels are set to "alsa_pcm:capture_1/2" or "alsa_pcm:playback_1/2" ) - I'm not sure whether there is any need to configure any jack-related settings in my system...
Comment 3 Orcan Ogetbil 2009-05-05 18:57:54 EDT
(In reply to comment #2)
> Hi Orcan,
> 
> please apologize the delay of the review. Here it is:
> 

No problem! Thanks for the review.

> 
> * Patch0: TODO
> - it is recommended to send the patches upstream and add a short comment
> in the spec file about the status of the bug report
> 

I sent them the patch and the desktop file I'm using via email since they don't have a bugtracker.

> * Compilation: TODO
> - mock build works
> - package builds correctly in koji for F12, F11 and F10
> - auto* tools adds additionally "-O2" (via acinclude.m4) - this is not a
> problem right now, but probably if Fedora changes once its default optimization
> flags then the package would be compiled with "-O2 -O3" or something like this
> (I don't consider this as a big issue, but if it could be solved easily, then
> it should be fixed IMHO)
> 

-O2 comes before %optflags during compilation, and the last one wins. Hence it won't affect any effect even if our %optflags start using -O3.

I can still change it but do you think it's worth? (I will need to BR autohell since I will have to change the timestamp of the m4 file)

> 
> * packages must own all directories: TODO
> - in general OK
> - just a very minor suggestion: %{_datadir}/apps/%{name} should better be
> %{_datadir}/apps/%{name}/ (just to indicate that really a directory and not a
> file gets packaged)
> 

Thanks for pointing this out. I usually do it the way you told but apparently I missed it this time.

> 
> * functional test: TODO
> - program starts and can be used
> - however, when I press "play", I get an message box "Error:" (the sound
> settings are not touched, all channels are set to "alsa_pcm:capture_1/2" or
> "alsa_pcm:playback_1/2" ) - I'm not sure whether there is any need to 
> configure any jack-related settings in my system...  

You will need to have a running jackd before you use creox (many jack applications don't start jackd by themselves automatically).

I recommend using qjackctl for starting/configuring jack and controlling jack ports. Also if you didn't do it already, check the file
   /usr/share/doc/jack-audio-connection-kit-*/README.Fedora
for setting up your jack configuration before you start it up. It's worth it.


Spec URL: http://oget.fedorapeople.org/review/creox.spec
SRPM URL: http://oget.fedorapeople.org/review/creox-0.2.2-0.2.rc2.fc10.src.rpm

Changelog: 0.2.2-0.2.rc2
- Some specfile make-up
- Sent Source1 and Patch0 upstream. Comment added.
Comment 4 Christian Krause 2009-05-06 17:57:16 EDT
(In reply to comment #3)
> (In reply to comment #2)
> > * Patch0: TODO
> > - it is recommended to send the patches upstream and add a short comment
> > in the spec file about the status of the bug report
> > 
> 
> I sent them the patch and the desktop file I'm using via email since they don't
> have a bugtracker.

Ok, thanks!

> > * Compilation: TODO
> > - mock build works
> > - package builds correctly in koji for F12, F11 and F10
> > - auto* tools adds additionally "-O2" (via acinclude.m4) - this is not a
> > problem right now, but probably if Fedora changes once its default optimization
> > flags then the package would be compiled with "-O2 -O3" or something like this
> > (I don't consider this as a big issue, but if it could be solved easily, then
> > it should be fixed IMHO)
> > 
> 
> -O2 comes before %optflags during compilation, and the last one wins. Hence it
> won't affect any effect even if our %optflags start using -O3.
> 
> I can still change it but do you think it's worth? (I will need to BR autohell
> since I will have to change the timestamp of the m4 file)

Yes, I agree with your conclusion and that since there isn't a real problem here it is not worth to re-build all autotools-generated files including configure.

> > * packages must own all directories: TODO
> > - in general OK
> > - just a very minor suggestion: %{_datadir}/apps/%{name} should better be
> > %{_datadir}/apps/%{name}/ (just to indicate that really a directory and not a
> > file gets packaged)
> > 
> 
> Thanks for pointing this out. I usually do it the way you told but apparently I
> missed it this time.

Ok.

> > * functional test: TODO
> > - program starts and can be used
> > - however, when I press "play", I get an message box "Error:" (the sound
> > settings are not touched, all channels are set to "alsa_pcm:capture_1/2" or
> > "alsa_pcm:playback_1/2" ) - I'm not sure whether there is any need to 
> > configure any jack-related settings in my system...  
> 
> You will need to have a running jackd before you use creox (many jack
> applications don't start jackd by themselves automatically).
> 
> I recommend using qjackctl for starting/configuring jack and controlling jack
> ports. Also if you didn't do it already, check the file
>    /usr/share/doc/jack-audio-connection-kit-*/README.Fedora
> for setting up your jack configuration before you start it up. It's worth it.

After I setup jackd, the error did not happen anymore. Since I don't have the needed equipment, I could not do a complete functionality test.

> Spec URL: http://oget.fedorapeople.org/review/creox.spec
> SRPM URL: http://oget.fedorapeople.org/review/creox-0.2.2-0.2.rc2.fc10.src.rpm

The new package looks good, all issues were addressed.

APPROVED.
Comment 5 Orcan Ogetbil 2009-05-06 19:14:14 EDT
Thanks again, for the review!

New Package CVS Request
=======================
Package Name: creox
Short Description: Real-time Sound Processor
Owners: oget
Branches: F-9 F-10 F-11
InitialCC:
Comment 6 Kevin Fenzi 2009-05-09 16:53:46 EDT
cvs done.
Comment 7 Fedora Update System 2009-05-09 19:56:19 EDT
creox-0.2.2-0.2.rc2.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/creox-0.2.2-0.2.rc2.fc11
Comment 8 Fedora Update System 2009-05-09 19:57:18 EDT
creox-0.2.2-0.2.rc2.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/creox-0.2.2-0.2.rc2.fc10
Comment 9 Fedora Update System 2009-05-09 19:58:10 EDT
creox-0.2.2-0.2.rc2.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/creox-0.2.2-0.2.rc2.fc9
Comment 10 Fedora Update System 2009-05-11 23:56:17 EDT
creox-0.2.2-0.2.rc2.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update creox'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-4706
Comment 11 Fedora Update System 2009-05-11 23:59:18 EDT
creox-0.2.2-0.2.rc2.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing-newkey update creox'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2009-4741
Comment 12 Fedora Update System 2009-05-12 00:02:56 EDT
creox-0.2.2-0.2.rc2.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update creox'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-4787
Comment 13 Fedora Update System 2009-05-20 19:54:54 EDT
creox-0.2.2-0.2.rc2.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2009-05-20 19:55:59 EDT
creox-0.2.2-0.2.rc2.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 15 Fedora Update System 2009-05-20 20:01:24 EDT
creox-0.2.2-0.2.rc2.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.